> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heydollr.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Checkout Session



## OpenAPI

````yaml https://api.heydollr.app/openapi.json post /{version}/sessions/checkout
openapi: 3.1.0
info:
  title: Dollr Open API
  version: 1.0.0
servers: []
security: []
paths:
  /{version}/sessions/checkout:
    post:
      tags:
        - sessions
      summary: Create Checkout Session
      operationId: create_checkout_session__version__sessions_checkout_post
      parameters:
        - name: version
          in: path
          required: true
          schema:
            const: v1
            type: string
            title: API version
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateCheckoutSessionPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CheckoutSessionResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    CreateCheckoutSessionPayload:
      properties:
        source_id:
          type: integer
          title: Source Id
        source_type:
          type: string
          title: Source Type
      type: object
      required:
        - source_id
        - source_type
      title: CreateCheckoutSessionPayload
      description: CreateCheckoutSessionPayload
    CheckoutSessionResponse:
      properties:
        id:
          type: integer
          title: Id
        payment_account_id:
          anyOf:
            - type: number
            - type: integer
            - type: 'null'
          title: Payment Account Id
        source_id:
          type: integer
          title: Source Id
        source_type:
          type: string
          title: Source Type
        status:
          type: string
          title: Status
        expires_at:
          type: string
          format: date-time
          title: Expires At
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - source_id
        - source_type
        - status
        - expires_at
        - created_at
        - updated_at
      title: CheckoutSessionResponse
      description: CheckoutSessionResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````